from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XEncryptionProtectedStorage(XEncryptionProtectedSource2, Protocol):
    def getEncryptionAlgorithms(self) -> list[NamedValue]: ...
